"Fossies" - the Fresh Open Source Software Archive  

Source code changes of the file "configure" between
c_count-7.16.tgz and c_count-7.17.tgz

About: c_count counts lines, statements, other simple measures of C/C++ source programs.

configure  (c_count-7.16.tgz):configure  (c_count-7.17.tgz)
#! /bin/sh #! /bin/sh
# From configure.in Revision: 7.15 . # From configure.in Revision: 7.16 .
# Guess values for system-dependent variables and create Makefiles. # Guess values for system-dependent variables and create Makefiles.
# Generated by Autoconf 2.52.20141204. # Generated by Autoconf 2.52.20141204.
# #
# Copyright 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001 # Copyright 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001
# Free Software Foundation, Inc. # Free Software Foundation, Inc.
# This configure script is free software; the Free Software Foundation # This configure script is free software; the Free Software Foundation
# gives unlimited permission to copy, distribute and modify it. # gives unlimited permission to copy, distribute and modify it.
# Avoid depending upon Character Ranges. # Avoid depending upon Character Ranges.
as_cr_letters='abcdefghijklmnopqrstuvwxyz' as_cr_letters='abcdefghijklmnopqrstuvwxyz'
skipping to change at line 4028 skipping to change at line 4028
echo "${ECHO_T}$cf_man2html" >&6 echo "${ECHO_T}$cf_man2html" >&6
;; ;;
(*) (*)
echo "$as_me:4021: result: $cf_man2html" >&5 echo "$as_me:4021: result: $cf_man2html" >&5
echo "${ECHO_T}$cf_man2html" >&6 echo "${ECHO_T}$cf_man2html" >&6
;; ;;
esac esac
MAN2HTML_TEMP="man2html.tmp" MAN2HTML_TEMP="man2html.tmp"
cat >$MAN2HTML_TEMP <<CF_EOF cat >$MAN2HTML_TEMP <<CF_EOF
#!/bin/sh #!$SHELL
# Temporary script generated by CF_WITH_MAN2HTML # Temporary script generated by CF_WITH_MAN2HTML
# Convert inputs to html, sending result to standard output. # Convert inputs to html, sending result to standard output.
# #
# Parameters: # Parameters:
# \${1} = rootname of file to convert # \${1} = rootname of file to convert
# \${2} = suffix of file to convert, e.g., "1" # \${2} = suffix of file to convert, e.g., "1"
# \${3} = macros to use, e.g., "man" # \${3} = macros to use, e.g., "man"
# #
ROOT=\$1 ROOT=\$1
TYPE=\$2 TYPE=\$2
skipping to change at line 4055 skipping to change at line 4055
GROFF_NO_SGR=stupid GROFF_NO_SGR=stupid
export GROFF_NO_SGR export GROFF_NO_SGR
CF_EOF CF_EOF
if test "x$cf_with_groff" = xyes if test "x$cf_with_groff" = xyes
then then
MAN2HTML_NOTE="$GROFF_NOTE" MAN2HTML_NOTE="$GROFF_NOTE"
MAN2HTML_PATH="$GROFF_PATH" MAN2HTML_PATH="$GROFF_PATH"
cat >>$MAN2HTML_TEMP <<CF_EOF cat >>$MAN2HTML_TEMP <<CF_EOF
/bin/sh -c "tbl \${ROOT}.\${TYPE} | $GROFF_PATH -P -o0 -I\${ROOT}_ -Thtml -\${MA CS}" $SHELL -c "tbl \${ROOT}.\${TYPE} | $GROFF_PATH -P -o0 -I\${ROOT}_ -Thtml -\${MAC S}"
CF_EOF CF_EOF
else else
MAN2HTML_NOTE="" MAN2HTML_NOTE=""
if test "x$prefix" != xNONE; then if test "x$prefix" != xNONE; then
cf_path_syntax="$prefix" cf_path_syntax="$prefix"
else else
cf_path_syntax="$ac_default_prefix" cf_path_syntax="$ac_default_prefix"
fi fi
skipping to change at line 4530 skipping to change at line 4530
if test $ac_cv_func_getopt = 'no' if test $ac_cv_func_getopt = 'no'
then then
CPPFLAGS="$CPPFLAGS -I\$(srcdir)/porting" CPPFLAGS="$CPPFLAGS -I\$(srcdir)/porting"
EXTRAOBJ=getopt\$o EXTRAOBJ=getopt\$o
fi fi
### output makefile and config.h ### output makefile and config.h
ac_config_files="$ac_config_files makefile" ac_config_files="$ac_config_files makefile"
ac_config_commands="$ac_config_commands default"
cat >confcache <<\_ACEOF cat >confcache <<\_ACEOF
# This file is a shell script that caches the results of configure # This file is a shell script that caches the results of configure
# tests run on this system so they can be shared between configure # tests run on this system so they can be shared between configure
# scripts and configure runs, see configure's option --config-cache. # scripts and configure runs, see configure's option --config-cache.
# It is not useful on other systems. If it contains results you don't # It is not useful on other systems. If it contains results you don't
# want to keep, you may remove or edit it. # want to keep, you may remove or edit it.
# #
# config.status only pays attention to the cache file if you give it # config.status only pays attention to the cache file if you give it
# the --recheck option to rerun configure. # the --recheck option to rerun configure.
# #
skipping to change at line 4609 skipping to change at line 4610
s/:*$//; s/:*$//;
s/^[^=]*=[ ]*$//; s/^[^=]*=[ ]*$//;
}' }'
fi fi
DEFS=-DHAVE_CONFIG_H DEFS=-DHAVE_CONFIG_H
: ${CONFIG_STATUS=./config.status} : ${CONFIG_STATUS=./config.status}
ac_clean_files_save=$ac_clean_files ac_clean_files_save=$ac_clean_files
ac_clean_files="$ac_clean_files $CONFIG_STATUS" ac_clean_files="$ac_clean_files $CONFIG_STATUS"
{ echo "$as_me:4609: creating $CONFIG_STATUS" >&5 { echo "$as_me:4610: creating $CONFIG_STATUS" >&5
echo "$as_me: creating $CONFIG_STATUS" >&6;} echo "$as_me: creating $CONFIG_STATUS" >&6;}
cat >$CONFIG_STATUS <<_ACEOF cat >$CONFIG_STATUS <<_ACEOF
#! $SHELL #! $SHELL
# Generated automatically by configure. # Generated automatically by configure.
# Run this file to recreate the current configuration. # Run this file to recreate the current configuration.
# Compiler output produced by configure, useful for debugging # Compiler output produced by configure, useful for debugging
# configure, is in config.log if it exists. # configure, is in config.log if it exists.
debug=false debug=false
SHELL=\${CONFIG_SHELL-$SHELL} SHELL=\${CONFIG_SHELL-$SHELL}
skipping to change at line 4732 skipping to change at line 4733
instantiate the configuration file FILE instantiate the configuration file FILE
--header=FILE[:TEMPLATE] --header=FILE[:TEMPLATE]
instantiate the configuration header FILE instantiate the configuration header FILE
Configuration files: Configuration files:
$config_files $config_files
Configuration headers: Configuration headers:
$config_headers $config_headers
Configuration commands:
$config_commands
Report bugs to <dickey@invisible-island.net>." Report bugs to <dickey@invisible-island.net>."
EOF EOF
cat >>$CONFIG_STATUS <<EOF cat >>$CONFIG_STATUS <<EOF
ac_cs_version="\\ ac_cs_version="\\
config.status config.status
configured by $0, generated by GNU Autoconf 2.52.20141204, configured by $0, generated by GNU Autoconf 2.52.20141204,
with options \\"`echo "$ac_configure_args" | sed 's/[\\""\`\$]/\\\\&/g'`\\" with options \\"`echo "$ac_configure_args" | sed 's/[\\""\`\$]/\\\\&/g'`\\"
Copyright 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001 Copyright 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001
skipping to change at line 4782 skipping to change at line 4786
cat >>$CONFIG_STATUS <<EOF cat >>$CONFIG_STATUS <<EOF
-recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r) -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
echo "running $SHELL $0 " $ac_configure_args " --no-create --no-recursion" echo "running $SHELL $0 " $ac_configure_args " --no-create --no-recursion"
exec $SHELL $0 $ac_configure_args --no-create --no-recursion ;; exec $SHELL $0 $ac_configure_args --no-create --no-recursion ;;
EOF EOF
cat >>$CONFIG_STATUS <<\EOF cat >>$CONFIG_STATUS <<\EOF
--version | --vers* | -V ) --version | --vers* | -V )
echo "$ac_cs_version"; exit 0 ;; echo "$ac_cs_version"; exit 0 ;;
--he | --h) --he | --h)
# Conflict between --help and --header # Conflict between --help and --header
{ { echo "$as_me:4782: error: ambiguous option: $1 { { echo "$as_me:4786: error: ambiguous option: $1
Try \`$0 --help' for more information." >&5 Try \`$0 --help' for more information." >&5
echo "$as_me: error: ambiguous option: $1 echo "$as_me: error: ambiguous option: $1
Try \`$0 --help' for more information." >&2;} Try \`$0 --help' for more information." >&2;}
{ (exit 1); exit 1; }; };; { (exit 1); exit 1; }; };;
--help | --hel | -h ) --help | --hel | -h )
echo "$ac_cs_usage"; exit 0 ;; echo "$ac_cs_usage"; exit 0 ;;
--debug | --d* | -d ) --debug | --d* | -d )
debug=: ;; debug=: ;;
--file | --fil | --fi | --f ) --file | --fil | --fi | --f )
shift shift
CONFIG_FILES="$CONFIG_FILES $1" CONFIG_FILES="$CONFIG_FILES $1"
ac_need_defaults=false;; ac_need_defaults=false;;
--header | --heade | --head | --hea ) --header | --heade | --head | --hea )
shift shift
CONFIG_HEADERS="$CONFIG_HEADERS $1" CONFIG_HEADERS="$CONFIG_HEADERS $1"
ac_need_defaults=false;; ac_need_defaults=false;;
# This is an error. # This is an error.
-*) { { echo "$as_me:4801: error: unrecognized option: $1 -*) { { echo "$as_me:4805: error: unrecognized option: $1
Try \`$0 --help' for more information." >&5 Try \`$0 --help' for more information." >&5
echo "$as_me: error: unrecognized option: $1 echo "$as_me: error: unrecognized option: $1
Try \`$0 --help' for more information." >&2;} Try \`$0 --help' for more information." >&2;}
{ (exit 1); exit 1; }; } ;; { (exit 1); exit 1; }; } ;;
*) ac_config_targets="$ac_config_targets $1" ;; *) ac_config_targets="$ac_config_targets $1" ;;
esac esac
shift shift
done done
skipping to change at line 4837 skipping to change at line 4841
_ACEOF _ACEOF
EOF EOF
cat >>$CONFIG_STATUS <<\EOF cat >>$CONFIG_STATUS <<\EOF
for ac_config_target in $ac_config_targets for ac_config_target in $ac_config_targets
do do
case "$ac_config_target" in case "$ac_config_target" in
# Handling of arguments. # Handling of arguments.
"makefile" ) CONFIG_FILES="$CONFIG_FILES makefile" ;; "makefile" ) CONFIG_FILES="$CONFIG_FILES makefile" ;;
"default" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default" ;;
"config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS config.h:config.hin" ;; "config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS config.h:config.hin" ;;
*) { { echo "$as_me:4838: error: invalid argument: $ac_config_target" >&5 *) { { echo "$as_me:4843: error: invalid argument: $ac_config_target" >&5
echo "$as_me: error: invalid argument: $ac_config_target" >&2;} echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
{ (exit 1); exit 1; }; };; { (exit 1); exit 1; }; };;
esac esac
done done
# If the user did not use the arguments to specify the items to instantiate, # If the user did not use the arguments to specify the items to instantiate,
# then the envvar interface is used. Set only those that are not. # then the envvar interface is used. Set only those that are not.
# We use the long form for the default assignment because of an extremely # We use the long form for the default assignment because of an extremely
# bizarre bug on SunOS 4.1.3. # bizarre bug on SunOS 4.1.3.
if $ac_need_defaults; then if $ac_need_defaults; then
test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
test "${CONFIG_COMMANDS+set}" = set || CONFIG_COMMANDS=$config_commands
fi fi
# Create a temporary directory, and hook for its removal unless debugging. # Create a temporary directory, and hook for its removal unless debugging.
$debug || $debug ||
{ {
trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0 trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
trap '{ (exit 1); exit 1; }' 1 2 13 15 trap '{ (exit 1); exit 1; }' 1 2 13 15
} }
# Create a (secure) tmp directory for tmp files. # Create a (secure) tmp directory for tmp files.
skipping to change at line 5081 skipping to change at line 5087
ac_srcdir=$ac_dots$srcdir$ac_dir_suffix ac_srcdir=$ac_dots$srcdir$ac_dir_suffix
ac_top_srcdir=$ac_dots$srcdir ;; ac_top_srcdir=$ac_dots$srcdir ;;
esac esac
case $INSTALL in case $INSTALL in
[\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;; [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
*) ac_INSTALL=$ac_dots$INSTALL ;; *) ac_INSTALL=$ac_dots$INSTALL ;;
esac esac
if test x"$ac_file" != x-; then if test x"$ac_file" != x-; then
{ echo "$as_me:5081: creating $ac_file" >&5 { echo "$as_me:5087: creating $ac_file" >&5
echo "$as_me: creating $ac_file" >&6;} echo "$as_me: creating $ac_file" >&6;}
rm -f "$ac_file" rm -f "$ac_file"
fi fi
# Let's still pretend it is `configure' which instantiates (i.e., don't # Let's still pretend it is `configure' which instantiates (i.e., don't
# use $as_me), people would be surprised to read: # use $as_me), people would be surprised to read:
# /* config.h. Generated automatically by config.status. */ # /* config.h. Generated automatically by config.status. */
configure_input="Generated automatically from `echo $ac_file_in | configure_input="Generated automatically from `echo $ac_file_in |
sed 's,.*/,,'` by configure." sed 's,.*/,,'` by configure."
# First look for the input files in the build tree, otherwise in the # First look for the input files in the build tree, otherwise in the
# src tree. # src tree.
ac_file_inputs=`IFS=: ac_file_inputs=`IFS=:
for f in $ac_file_in; do for f in $ac_file_in; do
case $f in case $f in
-) echo $tmp/stdin ;; -) echo $tmp/stdin ;;
[\\/$]*) [\\/$]*)
# Absolute (can't be DOS-style, as IFS=:) # Absolute (can't be DOS-style, as IFS=:)
test -f "$f" || { { echo "$as_me:5099: error: cannot find input file: $ f" >&5 test -f "$f" || { { echo "$as_me:5105: error: cannot find input file: $ f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;} echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; } { (exit 1); exit 1; }; }
echo $f;; echo $f;;
*) # Relative *) # Relative
if test -f "$f"; then if test -f "$f"; then
# Build tree # Build tree
echo $f echo $f
elif test -f "$srcdir/$f"; then elif test -f "$srcdir/$f"; then
# Source tree # Source tree
echo $srcdir/$f echo $srcdir/$f
else else
# /dev/null tree # /dev/null tree
{ { echo "$as_me:5112: error: cannot find input file: $f" >&5 { { echo "$as_me:5118: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;} echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; } { (exit 1); exit 1; }; }
fi;; fi;;
esac esac
done` || { (exit 1); exit 1; } done` || { (exit 1); exit 1; }
EOF EOF
cat >>$CONFIG_STATUS <<\EOF cat >>$CONFIG_STATUS <<\EOF
ac_warn_datarootdir=no ac_warn_datarootdir=no
if test x"$ac_file" != x-; then if test x"$ac_file" != x-; then
for ac_item in $ac_file_inputs for ac_item in $ac_file_inputs
do do
ac_seen=`grep '@\(datadir\|mandir\|infodir\)@' $ac_item` ac_seen=`grep '@\(datadir\|mandir\|infodir\)@' $ac_item`
if test -n "$ac_seen"; then if test -n "$ac_seen"; then
ac_used=`grep '@datarootdir@' $ac_item` ac_used=`grep '@datarootdir@' $ac_item`
if test -z "$ac_used"; then if test -z "$ac_used"; then
{ echo "$as_me:5128: WARNING: datarootdir was used implicitly but not set: { echo "$as_me:5134: WARNING: datarootdir was used implicitly but not set:
$ac_seen" >&5 $ac_seen" >&5
echo "$as_me: WARNING: datarootdir was used implicitly but not set: echo "$as_me: WARNING: datarootdir was used implicitly but not set:
$ac_seen" >&2;} $ac_seen" >&2;}
ac_warn_datarootdir=yes ac_warn_datarootdir=yes
fi fi
fi fi
ac_seen=`grep '${datarootdir}' $ac_item` ac_seen=`grep '${datarootdir}' $ac_item`
if test -n "$ac_seen"; then if test -n "$ac_seen"; then
{ echo "$as_me:5137: WARNING: datarootdir was used explicitly but not se t: { echo "$as_me:5143: WARNING: datarootdir was used explicitly but not se t:
$ac_seen" >&5 $ac_seen" >&5
echo "$as_me: WARNING: datarootdir was used explicitly but not set: echo "$as_me: WARNING: datarootdir was used explicitly but not set:
$ac_seen" >&2;} $ac_seen" >&2;}
ac_warn_datarootdir=yes ac_warn_datarootdir=yes
fi fi
done done
fi fi
if test "x$ac_warn_datarootdir" = xyes; then if test "x$ac_warn_datarootdir" = xyes; then
ac_sed_cmds="$ac_sed_cmds | sed -e 's,@datarootdir@,\${prefix}/share,g' -e 's, \${datarootdir},\${prefix}/share,g'" ac_sed_cmds="$ac_sed_cmds | sed -e 's,@datarootdir@,\${prefix}/share,g' -e 's, \${datarootdir},\${prefix}/share,g'"
skipping to change at line 5174 skipping to change at line 5180
if test x"$ac_file" != x-; then if test x"$ac_file" != x-; then
cp $tmp/out $ac_file cp $tmp/out $ac_file
for ac_name in prefix exec_prefix datarootdir for ac_name in prefix exec_prefix datarootdir
do do
ac_seen=`fgrep -n '${'$ac_name'[:=].*}' $ac_file` ac_seen=`fgrep -n '${'$ac_name'[:=].*}' $ac_file`
if test -n "$ac_seen"; then if test -n "$ac_seen"; then
ac_init=`egrep '[ ]*'$ac_name'[ ]*=' $ac_file` ac_init=`egrep '[ ]*'$ac_name'[ ]*=' $ac_file`
if test -z "$ac_init"; then if test -z "$ac_init"; then
ac_seen=`echo "$ac_seen" |sed -e 's,^,'$ac_file':,'` ac_seen=`echo "$ac_seen" |sed -e 's,^,'$ac_file':,'`
{ echo "$as_me:5174: WARNING: Variable $ac_name is used but was no t set: { echo "$as_me:5180: WARNING: Variable $ac_name is used but was no t set:
$ac_seen" >&5 $ac_seen" >&5
echo "$as_me: WARNING: Variable $ac_name is used but was not set: echo "$as_me: WARNING: Variable $ac_name is used but was not set:
$ac_seen" >&2;} $ac_seen" >&2;}
fi fi
fi fi
done done
egrep -n '@[a-z_][a-z_0-9]+@' $ac_file >$tmp/out egrep -n '@[a-z_][a-z_0-9]+@' $ac_file >$tmp/out
egrep -n '@[A-Z_][A-Z_0-9]+@' $ac_file >>$tmp/out egrep -n '@[A-Z_][A-Z_0-9]+@' $ac_file >>$tmp/out
if test -s $tmp/out; then if test -s $tmp/out; then
ac_seen=`sed -e 's,^,'$ac_file':,' < $tmp/out` ac_seen=`sed -e 's,^,'$ac_file':,' < $tmp/out`
{ echo "$as_me:5185: WARNING: Some variables may not be substituted: { echo "$as_me:5191: WARNING: Some variables may not be substituted:
$ac_seen" >&5 $ac_seen" >&5
echo "$as_me: WARNING: Some variables may not be substituted: echo "$as_me: WARNING: Some variables may not be substituted:
$ac_seen" >&2;} $ac_seen" >&2;}
fi fi
else else
cat $tmp/out cat $tmp/out
fi fi
rm -f $tmp/out rm -f $tmp/out
done done
skipping to change at line 5234 skipping to change at line 5240
case $ac_file in case $ac_file in
- | *:- | *:-:* ) # input from stdin - | *:- | *:-:* ) # input from stdin
cat >$tmp/stdin cat >$tmp/stdin
ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'` ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;; ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
*:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'` *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;; ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
* ) ac_file_in=$ac_file.in ;; * ) ac_file_in=$ac_file.in ;;
esac esac
test x"$ac_file" != x- && { echo "$as_me:5234: creating $ac_file" >&5 test x"$ac_file" != x- && { echo "$as_me:5240: creating $ac_file" >&5
echo "$as_me: creating $ac_file" >&6;} echo "$as_me: creating $ac_file" >&6;}
# First look for the input files in the build tree, otherwise in the # First look for the input files in the build tree, otherwise in the
# src tree. # src tree.
ac_file_inputs=`IFS=: ac_file_inputs=`IFS=:
for f in $ac_file_in; do for f in $ac_file_in; do
case $f in case $f in
-) echo $tmp/stdin ;; -) echo $tmp/stdin ;;
[\\/$]*) [\\/$]*)
# Absolute (can't be DOS-style, as IFS=:) # Absolute (can't be DOS-style, as IFS=:)
test -f "$f" || { { echo "$as_me:5245: error: cannot find input file: $ f" >&5 test -f "$f" || { { echo "$as_me:5251: error: cannot find input file: $ f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;} echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; } { (exit 1); exit 1; }; }
echo $f;; echo $f;;
*) # Relative *) # Relative
if test -f "$f"; then if test -f "$f"; then
# Build tree # Build tree
echo $f echo $f
elif test -f "$srcdir/$f"; then elif test -f "$srcdir/$f"; then
# Source tree # Source tree
echo $srcdir/$f echo $srcdir/$f
else else
# /dev/null tree # /dev/null tree
{ { echo "$as_me:5258: error: cannot find input file: $f" >&5 { { echo "$as_me:5264: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;} echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; } { (exit 1); exit 1; }; }
fi;; fi;;
esac esac
done` || { (exit 1); exit 1; } done` || { (exit 1); exit 1; }
# Remove the trailing spaces. # Remove the trailing spaces.
sed 's/[ ]*$//' $ac_file_inputs >$tmp/in sed 's/[ ]*$//' $ac_file_inputs >$tmp/in
EOF EOF
# Transform confdefs.h into two sed scripts, `conftest.defines' and # Transform confdefs.h into a list of #define's. We won't use it as a sed
# `conftest.undefs', that substitutes the proper values into # script, but as data to insert where we see @DEFS@. We expect AC_SAVE_DEFS to
# config.h.in to produce config.h. The first handles `#define' # be either 'cat' or 'sort'.
# templates, and the second `#undef' templates. cat confdefs.h | uniq >conftest.vals
# And first: Protect against being on the right side of a sed subst in
# config.status. Protect against being in an unquoted here document # Break up conftest.vals because some shells have a limit on
# in config.status. # the size of here documents, and old seds have small limits too.
rm -f conftest.defines conftest.undefs
# Using a here document instead of a string reduces the quoting nightmare.
# Putting comments in sed scripts is not portable.
#
# `end' is used to avoid that the second main sed command (meant for
# 0-ary CPP macros) applies to n-ary macro definitions.
# See the Autoconf documentation for `clear'.
cat >confdef2sed.sed <<\EOF
s/[\\&,]/\\&/g
s,[\\$`],\\&,g
t clear
: clear
s,^[ ]*#[ ]*define[ ][ ]*\(\([^ (][^ (]*\)([^)]*)\)[
]*\(.*\)$,${ac_dA}\2${ac_dB}\1${ac_dC}\3${ac_dD},gp
t end
s,^[ ]*#[ ]*define[ ][ ]*\([^ ][^ ]*\)[ ]*\(.*\)$,${ac_dA
}\1${ac_dB}\1${ac_dC}\2${ac_dD},gp
: end
EOF
# If some macros were called several times there might be several times
# the same #defines, which is useless. Nevertheless, we may not want to
# sort them, since we want the *last* AC-DEFINE to be honored.
uniq confdefs.h | sed -n -f confdef2sed.sed >conftest.defines
sed 's/ac_d/ac_u/g' conftest.defines >conftest.undefs
sed 's/ac_d/ac_i/g' conftest.defines >>conftest.undefs
rm -f confdef2sed.sed
# This sed command replaces #undef with comments. This is necessary, for
# example, in the case of _POSIX_SOURCE, which is predefined and required
# on some systems where configure will not decide to define it.
cat >>conftest.undefs <<\EOF
s,^[ ]*#[ ]*undef[ ][ ]*[a-zA-Z_][a-zA-Z_0-9]*,/* & */,
EOF
# Break up conftest.defines because some shells have a limit on the size
# of here documents, and old seds have small limits too (100 cmds).
echo ' # Handle all the #define templates only if necessary.' >>$CONFIG_STATUS
echo ' if egrep "^[ ]*#[ ]*define" $tmp/in >/dev/null; then' >>$CONFIG_STA
TUS
echo ' # If there are no defines, we may have an empty if/fi' >>$CONFIG_STATUS
echo ' :' >>$CONFIG_STATUS
rm -f conftest.tail
while grep . conftest.defines >/dev/null
do
# Write a limited-size here document to $tmp/defines.sed.
echo ' cat >$tmp/defines.sed <<CEOF' >>$CONFIG_STATUS
# Speed up: don't consider the non `#define' lines.
echo '/^[ ]*#[ ]*define/!b' >>$CONFIG_STATUS
# Work around the forget-to-reset-the-flag bug.
echo 't clr' >>$CONFIG_STATUS
echo ': clr' >>$CONFIG_STATUS
sed ${ac_max_here_lines}q conftest.defines >>$CONFIG_STATUS
echo 'CEOF
sed -f $tmp/defines.sed $tmp/in >$tmp/out
rm -f $tmp/in
mv $tmp/out $tmp/in
' >>$CONFIG_STATUS
sed 1,${ac_max_here_lines}d conftest.defines >conftest.tail
rm -f conftest.defines
mv conftest.tail conftest.defines
done
rm -f conftest.defines
echo ' fi # egrep' >>$CONFIG_STATUS
echo >>$CONFIG_STATUS
# Break up conftest.undefs because some shells have a limit on the size
# of here documents, and old seds have small limits too (100 cmds).
echo ' # Handle all the #undef templates' >>$CONFIG_STATUS
rm -f conftest.tail rm -f conftest.tail
while grep . conftest.undefs >/dev/null echo ' rm -f conftest.frag' >> $CONFIG_STATUS
while grep . conftest.vals >/dev/null
do do
# Write a limited-size here document to $tmp/undefs.sed. # Write chunks of a limited-size here document to conftest.frag.
echo ' cat >$tmp/undefs.sed <<CEOF' >>$CONFIG_STATUS echo ' cat >> conftest.frag <<CEOF' >> $CONFIG_STATUS
# Speed up: don't consider the non `#undef' sed ${ac_max_here_lines}q conftest.vals | sed -e 's/#ifdef.*/#if 0/' >> $CONFI
echo '/^[ ]*#[ ]*undef/!b' >>$CONFIG_STATUS G_STATUS
# Work around the forget-to-reset-the-flag bug. echo 'CEOF' >> $CONFIG_STATUS
echo 't clr' >>$CONFIG_STATUS sed 1,${ac_max_here_lines}d conftest.vals > conftest.tail
echo ': clr' >>$CONFIG_STATUS rm -f conftest.vals
sed ${ac_max_here_lines}q conftest.undefs >>$CONFIG_STATUS mv conftest.tail conftest.vals
echo 'CEOF done
sed -f $tmp/undefs.sed $tmp/in >$tmp/out rm -f conftest.vals
rm -f $tmp/in
mv $tmp/out $tmp/in # Run sed to substitute the contents of conftest.frag into $tmp/in at the
' >>$CONFIG_STATUS # marker @DEFS@.
sed 1,${ac_max_here_lines}d conftest.undefs >conftest.tail echo ' cat >> conftest.edit <<CEOF
rm -f conftest.undefs /@DEFS@/r conftest.frag
mv conftest.tail conftest.undefs /@DEFS@/d
done CEOF
rm -f conftest.undefs sed -f conftest.edit $tmp/in > $tmp/out
rm -f $tmp/in
mv $tmp/out $tmp/in
rm -f conftest.edit conftest.frag
' >> $CONFIG_STATUS
cat >>$CONFIG_STATUS <<\EOF cat >>$CONFIG_STATUS <<\EOF
# Let's still pretend it is `configure' which instantiates (i.e., don't # Let's still pretend it is `configure' which instantiates (i.e., don't
# use $as_me), people would be surprised to read: # use $as_me), people would be surprised to read:
# /* config.h. Generated automatically by config.status. */ # /* config.h. Generated automatically by config.status. */
if test x"$ac_file" = x-; then if test x"$ac_file" = x-; then
echo "/* Generated automatically by configure. */" >$tmp/config.h echo "/* Generated automatically by configure. */" >$tmp/config.h
else else
echo "/* $ac_file. Generated automatically by configure. */" >$tmp/config. h echo "/* $ac_file. Generated automatically by configure. */" >$tmp/config. h
fi fi
cat $tmp/in >>$tmp/config.h cat $tmp/in >>$tmp/config.h
rm -f $tmp/in rm -f $tmp/in
if test x"$ac_file" != x-; then if test x"$ac_file" != x-; then
if cmp -s $ac_file $tmp/config.h 2>/dev/null; then if cmp -s $ac_file $tmp/config.h 2>/dev/null; then
{ echo "$as_me:5376: $ac_file is unchanged" >&5 { echo "$as_me:5322: $ac_file is unchanged" >&5
echo "$as_me: $ac_file is unchanged" >&6;} echo "$as_me: $ac_file is unchanged" >&6;}
else else
ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \ ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
X"$ac_file" : 'X\(//\)[^/]' \| \ X"$ac_file" : 'X\(//\)[^/]' \| \
X"$ac_file" : 'X\(//\)$' \| \ X"$ac_file" : 'X\(//\)$' \| \
X"$ac_file" : 'X\(/\)' \| \ X"$ac_file" : 'X\(/\)' \| \
. : '\(.\)' 2>/dev/null || . : '\(.\)' 2>/dev/null ||
echo X"$ac_file" | echo X"$ac_file" |
sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; } sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
/^X\(\/\/\)[^/].*/{ s//\1/; q; } /^X\(\/\/\)[^/].*/{ s//\1/; q; }
 End of changes. 25 change blocks. 
112 lines changed or deleted 56 lines changed or added

Home  |  About  |  All  |  Newest  |  Fossies Dox  |  Screenshots  |  Comments  |  Imprint  |  Privacy  |  HTTPS